<!-- NavBar Starts Here -->
<nav class="navbar navbar-expand-lg navbar-dark bg-dark">
  <img src="https://img.icons8.com/fluent/48/000000/apple-music.png"/>
    <a class="navbar-brand" href="#">Top Albums</a>
      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>

  <div class="collapse navbar-collapse" id="navbarSupportedContent">
    <ul class="navbar-nav mr-auto">
      <li class="nav-item active">
        <a class="nav-link" href="#">Home <span class="sr-only">(current)</span></a>
      </li>
      <li class="nav-item">
        <a class="nav-link" href="#">Link</a>
      </li>
      <li class="nav-item dropdown">
        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          Dropdown
        </a>
        <div class="dropdown-menu" aria-labelledby="navbarDropdown">
          <a class="dropdown-item" href="#">Action</a>
            <div class="dropdown-divider"></div>
          <a class="dropdown-item" href="#">Another action</a>
            <div class="dropdown-divider"></div>
          <a class="dropdown-item" href="#">Something else here</a>
        </div>
      </li>
    </ul>
    <form class="form-inline my-2 my-lg-0">
      <input class="form-control mr-sm-2" type="search" placeholder="Search" aria-label="Search">
        <button class="btn btn-outline-success my-2 my-sm-0" type="submit">Search</button>
    </form>
  </div>
</nav>
<!-- NavBar Ends Here-->

  <br>

<!-- Start of the Body -->
<h1 class="text-center"><strong>Top 5 Albums</strong></h1>

<div class="container">

  <button (click)="toggleForm()" class="btn btn-sm btn-info">Add an Album</button>

  <div class="card card-body" *ngIf="showForm">

    <form #albumForm="ngForm" (ngSubmit)="onSubmit(albumForm)">

      <div class="form-group">

        <label>Album Title:</label>
          <input
            type="text"
            [(ngModel)]="album.title"
            [ngClass]="{'is-invalid': albumTitle.errors && albumTitle.touched}"
            name="title"
            class="form-control"
            #albumTitle="ngModel"
            required
            minlength="2"
            >
            <div [hidden]="!albumTitle.errors?.required" class="invalid-feedback">
              Album title is required
            </div>

            <div [hidden]="!albumTitle.errors?.minlength" class="invalid-feedback">
              Must be at least 2 characters long
            </div>

        <label>Artist:</label>
          <input
            type="text"
            [(ngModel)]="album.artist"
            [ngClass]="{'is-invalid': albumArtist.errors && albumArtist.touched}"
            name="artist"
            class="form-control"
            #albumArtist="ngModel"
            required
            minlength="2"
            >
              <div [hidden]="!albumArtist.errors?.required" class="invalid-feedback">
                Artist name required
              </div>

              <div [hidden]="!albumArtist.errors?.minlength" class="invalid-feedback">
                Must be at least 2 characters long
              </div>

        <label>Songs:</label>
          <input type="text" [(ngModel)]="album.songs" name="songs" class="form-control">

        <label>Why it's your favorite:</label>
          <input type="text" [(ngModel)]="album.favorite" name="favorite" class="form-control">

        <label>Date of Release:</label>
          <input
            type="text"
            [(ngModel)]="album.year"
            [ngClass]="{'is-invalid': albumYear.errors && albumYear.touched}"
            name="year"
            placeholder="mm/dd/yyyy"
            class="form-control"
            #albumYear="ngModel"
            required
            minlength="10"
            >
              <div [hidden]="!albumYear.errors?.required" class="invalid-feedback">
                Release date is required
              </div>

              <div [hidden]="!albumYear.errors?.minlength" class="invalid-feedback">
                Date must be as mm/dd/yyyy
              </div>

        <label>Genre:</label>
          <input type="text" [(ngModel)]="album.genre" name="genre" class="form-control">

        <label>Units Sold:</label>
          <input type="number" [(ngModel)]="album.units" name="units" class="form-control">
      </div>

      <button [disabled]="!albumForm.form.valid" class="btn btn-dark float-right">Add New Album</button>
    </form>
  </div>

  <ul class="list-unstyled">
    <li class="card card-body mb-3" *ngFor="let album of albums" [class.bg-success]="album.artist === 'Teminite'" [class.bg-info]="album.units >= 1">

      <div class="row">

        <div class="col-4">
          <img class="img-fluid" [src]="album.img" alt="">
        </div>

        <div class="col-8">
          <h2 [ngStyle]="currentStyle"> <strong> {{ album.title | uppercase }} </strong> </h2>
          <h3>
            <strong> Artist: </strong> {{ album.artist }}
            <button (click)="toggleInfo(album)" class="btn btn-outline-dark btn-sm ml-3">
              <i [ngClass]="album.hide ? 'fa fa-minus' : 'fa fa-plus'"></i>
            </button>
          </h3>
          <h3 *ngIf="album.hide"> <strong> Songs: </strong> </h3>
          <div class="row" *ngIf="album.hide">
            <div class="col-sm-4">
              <ul>
                <li> {{ album.songs[0] }} </li>
                <li> {{ album.songs[1] }} </li>
                <li> {{ album.songs[2] }} </li>
                <li> {{ album.songs[3] }} </li>
                <li> {{ album.songs[4] }} </li>
              </ul>
            </div>
            <div class="col-sm-4">
              <ul>
                <li> {{ album.songs[5] }} </li>
                <li> {{ album.songs[6] }} </li>
                <li> {{ album.songs[7] }} </li>
                <li> {{ album.songs[8] }} </li>
                <li> {{ album.songs[9] }} </li>
              </ul>
            </div>
            <div class="col-sm-4">
              <ul>
                <li *ngIf="album.songs[10]"> {{ album.songs[10] }} </li>
                <li *ngIf="album.songs[11]"> {{ album.songs[11] }} </li>
                <li *ngIf="album.songs[12]"> {{ album.songs[12] }} </li>
                <li *ngIf="album.songs[13]"> {{ album.songs[13] }} </li>
                <li *ngIf="album.songs[14]"> {{ album.songs[14] }} </li>
              </ul>
          </div>
          </div>
          <h3 *ngIf="album.hide"> <strong> Favorite: </strong> {{ album.favorite }} </h3>
          <h3 *ngIf="album.hide"> <strong> Release Date: </strong> {{ album.year | date:'MM/dd/yyyy' }} </h3>
          <h3 *ngIf="album.hide"> <strong> Genre: </strong> {{ album.genre }} </h3>
          <h3 *ngIf="album.hide"> <strong> Units Sold: </strong> {{ album.units }} </h3>
          <p *ngIf="album.hide && album.units === 0">Album is digital and requires no physical copy to be sold.</p>
        </div>

      </div>

    </li>
  </ul>
</div>
